Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfBookmarkContainerImpl

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfBookmarkContainerImpl

All Implemented Interfaces:
  IRtfBookmarkContainer

Direct Known Subclasses:
  RtfParagraph

public class RtfBookmarkContainerImpl
extends RtfContainer
implements IRtfBookmarkContainer

RTF Bookmark container implementation. Nearly all containers or elements can have a bookmark, that is why the bookmark container is implemented as stand alone.

Author:
  Andreas Putz

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`RtfBookmark` | `newBookmark(java.lang.String bookmark)` Create a new RTF bookmark.

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newBookmark

    public RtfBookmark newBookmark(java.lang.String bookmark)
                            throws java.io.IOException

  Create a new RTF bookmark.

  Specified by:
    `newBookmark` in interface `IRtfBookmarkContainer`
  Parameters:
    `bookmark` - Name of the bookmark
  Returns:
    RTF bookmark
  Throws:
    `java.io.IOException` - On eror

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.